classification
Title: old style classes still alive
Type: behavior Stage: resolved
Components: Interpreter Core, Library (Lib) Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: flox, jcea, pitrou, pjenvey, python-dev
Priority: normal Keywords: patch

Created on 2011-12-10 20:57 by flox, last changed 2011-12-18 11:28 by flox. This issue is now closed.

Files
File name Uploaded Description Edit
oldstyle_leftovers.diff flox, 2011-12-10 20:57 review
Messages (7)
msg149188 - (view) Author: Florent Xicluna (flox) * (Python committer) Date: 2011-12-10 20:57
there are still some leftovers of Python 2 old-style classes.

See attached patch.
msg149189 - (view) Author: Florent Xicluna (flox) * (Python committer) Date: 2011-12-10 21:05
Off course the leftovers are mainly in comments and documentation.

See also issue #13574.
msg149196 - (view) Author: Jesús Cea Avión (jcea) * (Python committer) Date: 2011-12-10 22:41
Changes look good.
msg149337 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2011-12-12 17:33
+1.
msg149341 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-12-12 17:55
New changeset 021e5bb297d1 by Florent Xicluna in branch 'default':
Issue #13575: there is only one class type.
http://hg.python.org/cpython/rev/021e5bb297d1
msg149582 - (view) Author: Philip Jenvey (pjenvey) * (Python committer) Date: 2011-12-16 00:01
Is mro_internal's second call to type_mro_modified still needed? Its comment makes me suspect that it's not:

    type_mro_modified(type, type->tp_mro);
    /* corner case: the old-style super class might have been hidden
       from the custom MRO */
    type_mro_modified(type, type->tp_bases);
msg149742 - (view) Author: Florent Xicluna (flox) * (Python committer) Date: 2011-12-18 11:28
> Is mro_internal's second call to type_mro_modified still needed?

I was about to remove it, however I'm not enough confident on this.
I have to understand how "tp_mro" and "tp_bases" interact in Python 3 (and the C extensions).
History
Date User Action Args
2011-12-18 11:28:34floxsetmessages: + msg149742
2011-12-16 00:01:53pjenveysetnosy: + pjenvey
messages: + msg149582
2011-12-12 17:56:28floxsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2011-12-12 17:55:52python-devsetnosy: + python-dev
messages: + msg149341
2011-12-12 17:33:41pitrousetnosy: + pitrou
messages: + msg149337
2011-12-10 22:41:16jceasetnosy: + jcea
messages: + msg149196
2011-12-10 21:07:48rhettingersetpriority: low -> normal
2011-12-10 21:05:24floxsetmessages: + msg149189
2011-12-10 20:57:39floxcreate